Java 9 and NetBeans 8.2 Platform Applications

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

Java 9 and NetBeans 8.2 Platform Applications

Patrik Karlsson
So I read that NetBeans IDE 8.2 doesn't run on Java 9,
but what about applications built on the 8.2 platform, do they run 100% ok on Java 9?

/Patrik

Reply | Threaded
Open this post in threaded view
|

Re: Java 9 and NetBeans 8.2 Platform Applications

geertjan.wielenga@oracle.com

No, you need Apache NetBeans for that:



Geertjan Wielenga | Principal Product Manager
Phone: +31620320056 | 
Oracle Developer Tools

ORACLE Netherlands | Hertogswetering 163-167 | 3543 AS Utrecht | Netherlands


Oracle is committed to developing practices and products that help protect the environment

On 24 Oct 2017, at 16:40, Patrik Karlsson <[hidden email]> wrote:

So I read that NetBeans IDE 8.2 doesn't run on Java 9,
but what about applications built on the 8.2 platform, do they run 100% ok on Java 9?

/Patrik


Reply | Threaded
Open this post in threaded view
|

Re: Java 9 and NetBeans 8.2 Platform Applications

Patrik Karlsson
Ok, I was afraid of that, 
thanks for the quick response.

2017-10-24 16:42 GMT+02:00 [hidden email] <[hidden email]>:

No, you need Apache NetBeans for that:



Geertjan Wielenga | Principal Product Manager
Phone: +31620320056 | 
Oracle Developer Tools

ORACLE Netherlands | Hertogswetering 163-167 | 3543 AS Utrecht | Netherlands


Oracle is committed to developing practices and products that help protect the environment

On 24 Oct 2017, at 16:40, Patrik Karlsson <[hidden email]> wrote:

So I read that NetBeans IDE 8.2 doesn't run on Java 9,
but what about applications built on the 8.2 platform, do they run 100% ok on Java 9?

/Patrik



Reply | Threaded
Open this post in threaded view
|

Re: Java 9 and NetBeans 8.2 Platform Applications

geertjan.wielenga@oracle.com

No need to be afraid — YaMeter is already on Apache NetBeans:


Also, we could meet up if we’re in the same kind of area (Amsterdam, for me).


Geertjan Wielenga | Principal Product Manager
Phone: +31620320056 | 
Oracle Developer Tools

ORACLE Netherlands | Hertogswetering 163-167 | 3543 AS Utrecht | Netherlands


Oracle is committed to developing practices and products that help protect the environment

On 24 Oct 2017, at 18:47, Patrik Karlsson <[hidden email]> wrote:

Ok, I was afraid of that, 
thanks for the quick response.

2017-10-24 16:42 GMT+02:00 [hidden email] <[hidden email]>:

No, you need Apache NetBeans for that:

https://jaxenter.com/netbeans/using-apache-netbeans-incubating-jdk-9

<Mail Attachment.gif>
Geertjan Wielenga | Principal Product Manager
Phone: +31620320056 | 
Oracle Developer Tools

ORACLE Netherlands | Hertogswetering 163-167 | 3543 AS Utrecht | Netherlands
<Mail Attachment.gif>

Oracle is committed to developing practices and products that help protect the environment

On 24 Oct 2017, at 16:40, Patrik Karlsson <[hidden email]> wrote:

So I read that NetBeans IDE 8.2 doesn't run on Java 9,
but what about applications built on the 8.2 platform, do they run 100% ok on Java 9?

/Patrik




Reply | Threaded
Open this post in threaded view
|

Re: Java 9 and NetBeans 8.2 Platform Applications

Patrik Karlsson
You never know, I actually had reason to travel to Rotterdam, but it was postponed. 
In most cases, I'm in Gothenburg, so it's not that far, welcome.

/Patrik

2017-10-24 18:51 GMT+02:00 [hidden email] <[hidden email]>:

No need to be afraid — YaMeter is already on Apache NetBeans:


Also, we could meet up if we’re in the same kind of area (Amsterdam, for me).


Geertjan Wielenga | Principal Product Manager
Phone: +31620320056 | 
Oracle Developer Tools

ORACLE Netherlands | Hertogswetering 163-167 | 3543 AS Utrecht | Netherlands